Subject: Re: serious bug with CYGNUS GCC b16 -->Stack probing
From: [email-masked] ("wiljan")

4 Dec 1996 12:01:43 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>, "Pascal OBRY" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Hello Pascal,

You wrote:

     Well last night, I have found a solution. I don't know if this is a
     workaround or a *real* fix but it works.
     
     It is true that the stack is limited (but I thought that the linker
     could expand the stack depending of the program). So the solution is
     to expand the stack, I have found that in gnat304a (amazing that
     you mention this since this bug was found using GNAT 3.08 for NT a
     beta release not yet publicly available) in the specs link section
     there was a stack paramaters.
     ......

Yes the stack is still the same problem as with the previous release.
I am actually using gnat308w also. Note that for gnat304a the initial
settings
for the stacksize where much better in respect to this problem.
I also had problems with the compiler gnat1.exe crashing due to this
problem.
ACT told me that there was still a problem in the compiler not generating
the right
stack probing instructions that can avoid the problems you had.
If the compiler generates the right code then the stack will be extended
automatically
and a user does not need to worry about the -stack option for ld.
This problem seems to be the same for the cygnus gcc compiler
as you have found out.
And yes linking with the options certainly makes your program work.

Does anybody know if this stack probing will be fixed in b17 ???

Greetings,

Wiljan

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".